#include <iostream>
using namespace std;
int main()
{
    int n1,m1;
    cin>>n1>>m1;
    int nmin[n1],nmax[n1];
    for(int i=0;i<n1;i++){
        cin>>nmin[i]>>nmax[i];
    }
    int ml[m1],mr[m1],mx[m1];
    for(int i=0;i<m1;i++){
        cin>>ml[i]>>mr[i]>>mx[i];
    }
    int valasz[m1]={};
    for(int i=0;i<m1;i++){
        for(int j=(ml[i]-1);j<mr[i];++j){
            if((nmin[j]<=mx[i])&&(nmax[j]>=mx[i])){
                valasz[i]++;
            }
        }
    }
    for(int i=0;i<m1;i++){
        cout<<valasz[i]<<endl;
    }
}